aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authortcely <tcely@users.noreply.github.com>2019-04-25 19:34:39 -0400
committerNatanael Copa <ncopa@alpinelinux.org>2019-04-30 12:38:37 +0000
commitdf67a9bc17caec324b57eb4a624c3aa826a1eb7a (patch)
treef4e58d465a7ba591772aaece1d2eb97becfd004a
parent40322d160592f508e08a2375827e188f44c435d8 (diff)
downloadaports-df67a9bc17caec324b57eb4a624c3aa826a1eb7a.tar.gz
aports-df67a9bc17caec324b57eb4a624c3aa826a1eb7a.tar.bz2
aports-df67a9bc17caec324b57eb4a624c3aa826a1eb7a.tar.xz
main/fstrm: cat test-suite.log
-rw-r--r--main/fstrm/APKBUILD9
1 files changed, 8 insertions, 1 deletions
diff --git a/main/fstrm/APKBUILD b/main/fstrm/APKBUILD
index 4a1ba80b73..94de5dfb08 100644
--- a/main/fstrm/APKBUILD
+++ b/main/fstrm/APKBUILD
@@ -11,6 +11,7 @@ arch="all"
license="MIT"
depends=""
depends_dev="libevent-dev"
+checkdepends="findutils"
makedepends="$depends_dev"
install=""
subpackages="$pkgname-dev $pkgname-doc"
@@ -29,10 +30,16 @@ build() {
make
}
+_cat_found_file() {
+ local _rc="$?"
+ find -name "$1" -type f -ls -printf '%P {{{\n' -exec cat -v -n '{}' ';' -printf '}}} %P\n'
+ return "$_rc"
+}
+
check() {
cd "$builddir"
- make check
+ make check || _cat_found_file 'test-suite.log'
}
package() {